Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058178 - open spec layer via xmlrpc
Summary: open spec layer via xmlrpc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog
Version: 5.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Junhui Wang
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 07:40 UTC by Huan Zhang
Modified: 2015-02-01 23:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-19 08:16:58 UTC


Attachments (Terms of Use)

Description Huan Zhang 2014-01-27 07:40:44 UTC
We to be not-annoying to the vendor in both the test suite and the catalog and we need to not make the user bounce back and forth between interfaces. Defining some good default behavior will be needed in addition to just the raw functionality.

Comment 1 Huan Zhang 2014-01-27 08:00:20 UTC
We have finished the code work of this task, and tests passed on both web2 and local box. However, we got failures when testing on partner environment.

Since the partner environment is RHEL 5.4 instance, we also built an local RHEL5.4 environment for the testing of the webservice functions. Unfortunately, we didn't reproduce the issue.

Comment 2 Huan Zhang 2014-01-27 08:01:51 UTC
@Rob, do you have any suggestions about this bug?

Comment 5 Huan Zhang 2014-01-28 03:06:38 UTC
Have opened a ticket for requesting the rpm info of partner:

https://engineering.redhat.com/rt/Ticket/Display.html?id=275741

Comment 6 Huan Zhang 2014-02-11 04:41:15 UTC
Web2 perl modules version:

[root@pbzweb01 ~]# rpm -qa | grep perl
perl-Algorithm-Diff-1.1902-1.el5
perl-DBD-MySQL-4.016-1.el5
subversion-perl-1.6.11-11.el5_9
perl-Encode-Detect-1.01-1.el5
perl-Package-DeprecationManager-0.04-1.el5
perl-IO-stringy-2.110-1.2.el5
perl-GD-2.35-1.el5
perl-Email-Simple-2.101-2.el5
perl-HTML-FormatText-WithLinks-0.14-1.el5
perl-Data-ObjectDriver-0.06-3.el5
perl-Module-Load-Conditional-0.38-1.el5
perl-Log-Dispatch-2.18-1.el5
perl-HTML-Parser-3.55-1.fc6
perl-GDTextUtil-0.86-1.el5
perl-5.8.8-40.el5_9
perl-Devel-GlobalDestruction-0.02-1.el5
perl-CGI.pm-3.59-2.el5
perl-Regexp-Common-2.120-6.el5
perl-Email-Send-2.192-1.el5
perl-Sub-Install-0.925-1.el5
perl-Pod-POM-0.17-1.el5
perl-Email-Reply-1.202-1.el5
perl-HTML-Tagset-3.10-2.1.1
perl-libxml-perl-0.08-1.2.1
perl-Net-DNS-0.59-3.el5
perl-GDGraph-1.44_01-1.el5
perl-Locale-Maketext-Simple-0.21-1.el5
perl-DateManip-5.44-1.2.1
perl-Test-MockObject-1.07-1.el5
perl-Net-IP-1.25-2.fc6
perl-Daemon-Generic-0.61-1.el5
perl-Sub-Uplevel-0.2002-3.el5
perl-Sort-Versions-1.5-7.el5
perl-Module-CoreList-2.38-1.el5
perl-Return-Value-1.302-1.el5
perl-VCI-0.6.2-1.el5
perl-DateTime-Format-DateParse-0.05-1.el5
perl-MIME-tools-5.420-1.el5
perl-JSON-RPC-0.96-1.el5
perl-Crypt-SSLeay-0.58-1.el5
perl-Sub-Name-0.04-5.el5
perl-WWW-Tracking-0.02-1.el5
perl-UNIVERSAL-can-1.12-1.el5
perl-DateTime-Locale-0.09-9.el5
perl-HTML-Template-Pro-0.9503-1.el5
perl-LDAP-0.33-3.fc6
perl-Test-Pod-1.44-1.el5
perl-Digest-HMAC-1.01-15
perl-Log-Log4perl-1.04-1.rf.el5
perl-Business-ISBN-Data-20081208-1.el5
perl-Alien-SeleniumRC-1.01-2.el5
perl-Mail-Sendmail-0.79-1.el5
perl-Apache-DBI-1.06-1.el5
perl-Class-C3-0.23-1.el5
perl-Email-MIME-Encodings-1.313-1.el5
perl-Math-Random-ISAAC-XS-1.004-1.el5
perl-List-MoreUtils-0.33-1.el5
perl-XML-NamespaceSupport-1.09-1.2.1
perl-Chart-2.4.1-1.el5
perl-SOAP-Lite-0.710.06-2.el5
perl-Test-Taint-1.04-9.el5
perl-YAML-0.62-3.el5
perl-Compress-Raw-Bzip2-2.030-1.el5
perl-Business-ISBN-2.05-1.el5
perl-Carp-Clan-5.3-1.2.1
perl-HTML-Tree-3.23-2.el5
perl-version-0.74-1.el5
perl-Text-Diff-0.35-1.2.el5
perl-libwww-perl-5.805-1.1.1
perl-DateTime-TimeZone-0.71-1.el5
perl-XML-Stream-1.23-1.el5
perl-Git-1.5.5.6-4.el5
perl-Pod-Escapes-1.04-5.el5
perl-Data-HexDump-0.02-1.el5
perl-HTML-Scrubber-0.08-1.el5
perl-Path-Abstract-0.096-1.el5
perl-Email-Date-1.103-1.el5
perl-BSD-Resource-1.28-1.fc6.1
perl-Class-Singleton-1.4-5.el5
perl-AppConfig-1.66-1.el5
perl-Convert-BinHex-1.119-1.el5
perl-Params-Util-1.00-2.el5
perl-Event-1.11-2.el5
perl-MooseX-Method-0.44-1.el5
perl-JSON-XS-2.32-1.el5
perl-PatchReader-0.9.6-1.el5
perl-Crypt-DES-2.05-3.2.el4.rf
perl-YAML-Syck-1.04-1.el5
perl-File-Slurp-9999.12-1.el5
perl-MRO-Compat-0.11-1.el5
perl-URI-1.55-1.el5
perl-Module-Pluggable-3.60-3.el5
perl-Parse-Yapp-1.05-1.el5
perl-DBIx-Timeout-1.01-1.el5
perl-WWW-Salesforce-0.11-1.el5
perl-Task-Weaken-1.03-1.el5
perl-XML-LibXSLT-1.70-5.el5
perl-Math-BaseCnv-1.8.B59BrZX-1.el5
perl-File-BaseDir-0.03-1.el5
perl-Email-Abstract-2.134-1.el5
perl-Authen-SASL-2.10-1.el5
perl-Font-AFM-1.20-3.el5
perl-Pod-Simple-3.14-1.el5
perl-Try-Tiny-0.06-1.el5
perl-String-CRC32-1.4-2.fc6
perl-Convert-ASN1-0.20-1.1
perl-DBI-1.52-2.el5
perl-Class-Inspector-1.21_01-1.el5
perl-Algorithm-C3-0.08-1.el5
perl-DBD-Pg-1.49-4.el5_8
perl-Digest-SHA1-2.11-1.2.1
perl-Template-Toolkit-2.22-2.el5
perl-Mail-Sender-0.8.13-1.el5
perl-Test-Simple-0.98-3.el5
perl-TheSchwartz-1.07-2.el5
perl-IPC-Cmd-0.60-1.el5
perl-Module-Build-0.2808-1.el5
perl-Net-SSLeay-1.30-4.fc6
perl-Email-Address-1.888-1.el5
perl-Class-Trigger-0.13-1.el5
ImageMagick-perl-6.2.8.0-15.el5_8
perl-Params-Check-0.26-1.el5
perl-Math-Random-ISAAC-1.004-3.el5
perl-XML-Parser-2.36-1.el5
perl-libxml-enno-1.02-31.el5
perl-Clone-0.31-1.el5
perl-Compress-Raw-Zlib-2.030-1.el5
perl-TimeDate-1.20-2.el5
perl-Digest-SHA-5.45-1.el5
perl-DateTime-0.28-1.el5
perl-Class-MOP-1.07-1.el5
perl-XML-SAX-0.15-1.el5
perl-Text-Reform-1.12.2-1.el5
perl-UNIVERSAL-isa-0.06-1.el5
perl-Class-Accessor-0.31-2.el5
perl-Archive-Tar-1.39.1-1.el5_5.2
perl-Module-Load-0.18-1.el5
perl-Template-GD-2.66-1.el5
perl-JSON-2.16-1.el5
perl-Error-0.17016-1.el5
perl-Email-MessageID-1.351-1.el5
perl-Test-Mock-LWP-0.04-1.el5
perl-MailTools-1.77-1.el5
perl-Net-Jabber-2.0-1.el5
perl-Test-Taint-1.04-9.el5
perl-Scope-Guard-0.20-1.el5
perl-File-Flock-2008.01-1.el5
perl-Path-Class-0.21-1.el5
perl-common-sense-3.0-1.el5
perl-IPC-Shareable-0.60-1.el5
perl-Email-MIME-Attachment-Stripper-1.314-1.el5
perl-Moose-1.12-1.el5
perl-File-MimeInfo-0.16-1.el5
perl-Text-Autoformat-1.14-1.el5
perl-Sub-Exporter-0.982-1.el5
perl-Net-Server-0.96-2.el5
perl-Socket6-0.19-3.fc6
perl-XML-Simple-2.14-4.fc6
perl-Text-Diff-Parser-0.1001-1.el5
perl-Encode-2.44-2.el5
perl-Params-Validate-0.89-1.el5
perl-Proc-ProcessTable-0.44-4.el5
perl-IO-Socket-SSL-1.01-1.fc6
perl-Package-Stash-0.05-1.el5
perl-IO-Compress-2.030-2.el5
perl-Text-CSV_XS-0.80-1.el5
perl-Email-MIME-ContentType-1.014-1.el5
perl-IO-Zlib-1.04-4.2.1
perl-Log-Dispatch-FileRotate-1.16-1.el5
perl-FCGI-0.67-1.2.el5
perl-MIME-Types-1.24-1.el5
perl-Test-WWW-Selenium-1.23-1.el5
mod_perl-2.0.4-6.el5
perl-Authen-Radius-0.13-1.el5
perl-Email-MIME-1.905-2.el5
perl-Data-OptList-0.106-1.el5
perl-ExtUtils-CBuilder-0.19-1.el5
perl-Net-SNMP-5.2.0-1.2.el4.rf
perl-XML-LibXML-1.70-5.el5
perl-Email-Date-Format-1.002-1.el5
perl-File-DesktopEntry-0.04-1.el5
perl-XML-Twig-3.29-1.el5
perl-GSSAPI-0.26-1.el5
perl-HTML-Format-2.04-11.el5
perl-Net-XMPP-1.02-3.el5
perl-XML-Encoding-1.01-1.el5
perl-File-Type-0.22-1.el5
perl-MIME-Lite-2.117-1.el5
perl-Time-Piece-1.20-1.el5
perl-Test-Exception-0.29-1.el5

Comment 7 Huan Zhang 2014-02-11 04:47:14 UTC
Perl module versions of my local rhel5.4:

[root@dhcp-66-71-81 ~]# rpm -qa | grep perl
perl-HTML-Tagset-3.10-2.1.1
mod_perl-devel-2.0.4-6.el5
perl-List-MoreUtils-0.33-5.el5
perl-Sub-Name-0.05-6.el5
perl-Compress-Raw-Zlib-2.030-1.el5
perl-Event-1.13-1.el5
perl-Sub-Install-0.925-1.el5
perl-Package-DeprecationManager-0.10-3.el5
perl-Email-Date-Format-1.002-4.el5
perl-Task-Weaken-1.03-1.el5
perl-Email-Date-1.103-1.el5
perl-Email-MessageID-1.351-1.el5
perl-XML-Twig-3.29-1.el5
perl-MIME-tools-5.420-3.el5
perl-common-sense-3.5-1.el5
perl-Sort-Versions-1.5-7.el5
perl-HTML-Scrubber-0.08-4.el5.2
perl-Email-MIME-1.905-2.el5
perl-Module-Build-0.3607-2.el5
perl-SOAP-Lite-0.710.06-2.el5
perl-Mail-Sender-0.8.13-2.el5.1
perl-Math-Random-ISAAC-1.004-3.el5
newt-perl-1.08-9.2.2
perl-Params-Util-1.00-3.el5
perl-Test-Simple-0.98-3.el5
perl-IO-stringy-2.110-5.el5
perl-GDTextUtil-0.86-8.el5
perl-AppConfig-1.66-1.el5
perl-GSSAPI-0.27-1.el5
perl-Data-ObjectDriver-0.06-3.el5
perl-Text-Diff-Parser-0.1001-1.el5
perl-Chart-2.4.2-1.el5
perl-Package-Stash-0.05-1.el5
perl-XML-DOM-1.44-2.el5
perl-Template-Toolkit-2.22-2.el5
perl-WWW-Tracking-0.02-1.el5
perl-Text-Diff-0.35-3.el5
perl-Path-Abstract-0.096-1.el5
perl-Devel-GlobalDestruction-0.02-1.el5
perl-Log-Dispatch-FileRotate-1.16-1.el5
mod_perl-2.0.4-6.el5
perl-Params-Validate-0.91-1.el5
perl-DateTime-Format-Strptime-1.0700-2.el5.1
perl-DateTime-Format-DateParse-0.05-1.el5
perl-version-0.7203-1.el5
perl-DBD-mysql-4.006-2.el5
perl-Digest-SHA1-2.11-1.2.1
perl-Crypt-SSLeay-0.58-1.el5
perl-Net-SSLeay-1.32-1.el4
perl-Email-Address-1.888-1.el5
perl-JSON-2.17-1.el5
perl-Locale-Maketext-Simple-0.21-1.el5
perl-URI-1.55-1.el5
perl-XML-NamespaceSupport-1.09-1.2.1
perl-Email-Abstract-2.134-1.el5
perl-File-Slurp-9999.13-3.el5
perl-Test-Taint-1.04-9.el5
perl-File-MimeInfo-0.16-1.el5
perl-Class-Trigger-0.13-1.el5
perl-IO-Zlib-1.04-4.2.1
perl-DBIx-Timeout-1.01-1.el5
perl-IPC-Cmd-0.60-1.el5
perl-Template-GD-2.66-1.el5
perl-Convert-ASN1-0.21-1.el5
perl-Test-Exception-0.29-1.el5
perl-Sub-Exporter-0.982-11.el5
perl-XML-RegExp-0.03-2.el5
perl-File-Flock-2008.01-1.el5
perl-Pod-POM-0.17-7.el5
perl-XML-Stream-1.23-1.el5
perl-Math-BaseCnv-1.8.B59BrZX-1.el5
perl-MRO-Compat-0.11-1.el5
perl-Algorithm-Diff-1.1902-2.el5
perl-HTML-FormatText-WithLinks-0.14-1.el5
perl-Path-Class-0.25-1.el5
perl-Time-modules-2003.1126-4.el5.1
perl-Scope-Guard-0.20-1.el5
perl-MooseX-Method-0.44-1.el5
perl-Log-Dispatch-2.20-1.el5
perl-Math-Random-ISAAC-XS-1.004-1.el5
perl-LDAP-0.34-1.el5
perl-5.8.8-27.el5
perl-String-CRC32-1.4-2.fc6
perl-libwww-perl-5.805-1.1.1
perl-Git-1.5.5.6-2.el5
perl-Class-Singleton-1.4-5.el5
perl-Encode-2.44-2.el5
perl-XML-Parser-2.36-1.el5
mod_perl-devel-2.0.4-6.el5
ImageMagick-perl-6.2.8.0-15.el5_8
perl-DBD-Pg-1.49-4.el5_8
perl-Text-CSV_XS-0.85-1.el5
rrdtool-perl-1.3-0.5.beta3.el5
perl-IO-Compress-2.030-2.el5
perl-MailTools-1.77-1.el5
perl-Params-Check-0.26-2.el5
perl-IO-Socket-SSL-1.24-1.el4
perl-Class-Accessor-0.31-2.el5
perl-Return-Value-1.302-3.el5
perl-Try-Tiny-0.11-4.el5
subversion-perl-1.6.11-11.el5_9
perl-File-DesktopEntry-0.04-5.el5
perl-GDGraph-1.44-1.el5
perl-JSON-RPC-0.96-1.el5
perl-Module-CoreList-2.38-1.el5
perl-Module-Load-Conditional-0.38-1.el5
perl-XML-Simple-2.14-4.fc6
perl-Authen-Radius-0.13-1.el5
perl-Sub-Uplevel-0.2002-3.el5
perl-Package-Generator-0.100-2.el5
perl-JSON-XS-2.27-1.el5
perl-Regexp-Common-2.120-6.el5
perl-Carp-Clan-5.3-1.2.1
perl-Net-DNS-0.59-3.el5
perl-MIME-Types-1.24-1.el5
perl-Class-C3-0.23-1.el5
perl-Email-Reply-1.202-1.el5
perl-HTML-Format-2.04-11.el5
perl-Encode-Detect-1.01-1.el5
perl-YAML-0.66-2.el5
perl-WWW-Salesforce-0.11-1.el5
perl-Moose-1.12-1.el5
perl-Business-ISBN-2.05-1.el5
perl-XML-SAX-0.15-1.el5
perl-BSD-Resource-1.28-1.fc6.1
perl-GD-2.35-2.el5
perl-Compress-Raw-Bzip2-2.030-1.el5
perl-Digest-SHA-5.47-1.el5
perl-Clone-0.31-1.el5
perl-MIME-Lite-3.01-5.el5
perl-Digest-HMAC-1.01-15
perl-HTML-Tree-3.23-9.el5
perl-HTML-Template-Pro-0.9503-1.el5
perl-Authen-SASL-2.13-1.el5
perl-TheSchwartz-1.07-2.el5
perl-Module-Load-0.18-1.el5
perl-Data-HexDump-0.02-1.el5
perl-Mail-Sendmail-0.79-9.el5.1
perl-Email-MIME-Encodings-1.313-1.el5
perl-Net-IP-1.25-2.fc6
perl-Algorithm-C3-0.08-1.el5
perl-Font-AFM-1.20-3.el5
perl-PatchReader-0.9.6-1.el5
perl-Class-MOP-1.07-1.el5
perl-Log-Log4perl-1.25-1.el5
perl-XML-LibXSLT-1.70-5.el5
perl-HTML-Parser-3.55-1.fc6
perl-DBI-1.52-2.el5
perl-Error-0.17016-1.el5
perl-DateTime-0.4304-2.el5
perl-TimeDate-1.20-2.el5
perl-YAML-Syck-1.04-1.el5
perl-Time-Piece-1.20-1.el5
perl-Data-OptList-0.106-1.el5
perl-Business-ISBN-Data-20081208-1.el5
perl-Email-Simple-2.101-2.el5
perl-File-BaseDir-0.03-1.el5
perl-Email-Send-2.192-1.el5
perl-Archive-Tar-1.39.1-1.el5_5.2
perl-ExtUtils-CBuilder-0.2802-1.el5
perl-Convert-BinHex-1.119-5.el5
perl-DateManip-5.44-1.2.1
perl-Daemon-Generic-0.61-1.el5
perl-Net-XMPP-1.02-6.el5
perl-Email-MIME-ContentType-1.014-1.el5
perl-ExtUtils-ParseXS-2.2206-1.el5
perl-Net-Jabber-2.0-10.el5
perl-VCI-0.6.2-1.el5
perl-XML-LibXML-1.70-5.el5

Comment 8 Huan Zhang 2014-02-11 05:01:40 UTC
Check diff:

1	ImageMagick-perl-6.2.8.0-15.el5_8	1	ImageMagick-perl-6.2.8.0-15.el5_8
2	mod_perl-2.0.4-6.el5	2	mod_perl-2.0.4-6.el5
3	mod_perl-devel-2.0.4-6.el5 	3	perl-5.8.8-40.el5_9
4	mod_perl-devel-2.0.4-6.el5	 	
5	newt-perl-1.08-9.2.2	 	
6	perl-5.8.8-27.el5	 	
7	perl-Algorithm-C3-0.08-1.el5	4	perl-Algorithm-C3-0.08-1.el5
8	perl-Algorithm-Diff-1.1902-2.el5 	5	perl-Algorithm-Diff-1.1902-1.el5
 		6	perl-Alien-SeleniumRC-1.01-2.el5
 		7	perl-Apache-DBI-1.06-1.el5
9	perl-AppConfig-1.66-1.el5	8	perl-AppConfig-1.66-1.el5
10	perl-Archive-Tar-1.39.1-1.el5_5.2	9	perl-Archive-Tar-1.39.1-1.el5_5.2
11	perl-Authen-Radius-0.13-1.el5	10	perl-Authen-Radius-0.13-1.el5
12	perl-Authen-SASL-2.13-1.el5 	11	perl-Authen-SASL-2.10-1.el5
13	perl-BSD-Resource-1.28-1.fc6.1	12	perl-BSD-Resource-1.28-1.fc6.1
14	perl-Business-ISBN-2.05-1.el5	13	perl-Business-ISBN-2.05-1.el5
15	perl-Business-ISBN-Data-20081208-1.el5	14	perl-Business-ISBN-Data-20081208-1.el5
16	perl-Carp-Clan-5.3-1.2.1	15	perl-Carp-Clan-5.3-1.2.1
17	perl-Chart-2.4.2-1.el5 	16	perl-CGI.pm-3.59-2.el5
 		17	perl-Chart-2.4.1-1.el5
18	perl-Class-Accessor-0.31-2.el5	18	perl-Class-Accessor-0.31-2.el5
19	perl-Class-C3-0.23-1.el5	19	perl-Class-C3-0.23-1.el5
 		20	perl-Class-Inspector-1.21_01-1.el5
20	perl-Class-MOP-1.07-1.el5	21	perl-Class-MOP-1.07-1.el5
21	perl-Class-Singleton-1.4-5.el5	22	perl-Class-Singleton-1.4-5.el5
22	perl-Class-Trigger-0.13-1.el5	23	perl-Class-Trigger-0.13-1.el5
23	perl-Clone-0.31-1.el5	24	perl-Clone-0.31-1.el5
24	perl-common-sense-3.5-1.el5 	25	perl-common-sense-3.0-1.el5
25	perl-Compress-Raw-Bzip2-2.030-1.el5	26	perl-Compress-Raw-Bzip2-2.030-1.el5
26	perl-Compress-Raw-Zlib-2.030-1.el5	27	perl-Compress-Raw-Zlib-2.030-1.el5
27	perl-Convert-ASN1-0.21-1.el5 	28	perl-Convert-ASN1-0.20-1.1
28	perl-Convert-BinHex-1.119-5.el5 	29	perl-Convert-BinHex-1.119-1.el5
 		30	perl-Crypt-DES-2.05-3.2.el4.rf
29	perl-Crypt-SSLeay-0.58-1.el5	31	perl-Crypt-SSLeay-0.58-1.el5
30	perl-Daemon-Generic-0.61-1.el5	32	perl-Daemon-Generic-0.61-1.el5
31	perl-Data-HexDump-0.02-1.el5	33	perl-Data-HexDump-0.02-1.el5
32	perl-Data-ObjectDriver-0.06-3.el5	34	perl-Data-ObjectDriver-0.06-3.el5
33	perl-Data-OptList-0.106-1.el5	35	perl-Data-OptList-0.106-1.el5
34	perl-DateManip-5.44-1.2.1	36	perl-DateManip-5.44-1.2.1
35	perl-DateTime-0.4304-2.el5 	37	perl-DateTime-0.28-1.el5
36	perl-DateTime-Format-DateParse-0.05-1.el5	38	perl-DateTime-Format-DateParse-0.05-1.el5
37	perl-DateTime-Format-Strptime-1.0700-2.el5.1 	39	perl-DateTime-Locale-0.09-9.el5
38	perl-DBD-mysql-4.006-2.el5 	40	perl-DateTime-TimeZone-0.71-1.el5
 		41	perl-DBD-MySQL-4.016-1.el5
39	perl-DBD-Pg-1.49-4.el5_8	42	perl-DBD-Pg-1.49-4.el5_8
40	perl-DBI-1.52-2.el5	43	perl-DBI-1.52-2.el5
41	perl-DBIx-Timeout-1.01-1.el5	44	perl-DBIx-Timeout-1.01-1.el5
42	perl-Devel-GlobalDestruction-0.02-1.el5	45	perl-Devel-GlobalDestruction-0.02-1.el5
43	perl-Digest-HMAC-1.01-15	46	perl-Digest-HMAC-1.01-15
44	perl-Digest-SHA1-2.11-1.2.1	47	perl-Digest-SHA1-2.11-1.2.1
45	perl-Digest-SHA-5.47-1.el5 	48	perl-Digest-SHA-5.45-1.el5
46	perl-Email-Abstract-2.134-1.el5	49	perl-Email-Abstract-2.134-1.el5
47	perl-Email-Address-1.888-1.el5	50	perl-Email-Address-1.888-1.el5
48	perl-Email-Date-1.103-1.el5	51	perl-Email-Date-1.103-1.el5
49	perl-Email-Date-Format-1.002-4.el5 	52	perl-Email-Date-Format-1.002-1.el5
50	perl-Email-MessageID-1.351-1.el5	53	perl-Email-MessageID-1.351-1.el5
51	perl-Email-MIME-1.905-2.el5	54	perl-Email-MIME-1.905-2.el5
 		55	perl-Email-MIME-Attachment-Stripper-1.314-1.el5
52	perl-Email-MIME-ContentType-1.014-1.el5	56	perl-Email-MIME-ContentType-1.014-1.el5
53	perl-Email-MIME-Encodings-1.313-1.el5	57	perl-Email-MIME-Encodings-1.313-1.el5
54	perl-Email-Reply-1.202-1.el5	58	perl-Email-Reply-1.202-1.el5
55	perl-Email-Send-2.192-1.el5	59	perl-Email-Send-2.192-1.el5
56	perl-Email-Simple-2.101-2.el5	60	perl-Email-Simple-2.101-2.el5
57	perl-Encode-2.44-2.el5	61	perl-Encode-2.44-2.el5
58	perl-Encode-Detect-1.01-1.el5	62	perl-Encode-Detect-1.01-1.el5
59	perl-Error-0.17016-1.el5	63	perl-Error-0.17016-1.el5
60	perl-Event-1.13-1.el5 	64	perl-Event-1.11-2.el5
61	perl-ExtUtils-CBuilder-0.2802-1.el5 	65	perl-ExtUtils-CBuilder-0.19-1.el5
62	perl-ExtUtils-ParseXS-2.2206-1.el5 	66	perl-FCGI-0.67-1.2.el5
63	perl-File-BaseDir-0.03-1.el5	67	perl-File-BaseDir-0.03-1.el5
64	perl-File-DesktopEntry-0.04-5.el5 	68	perl-File-DesktopEntry-0.04-1.el5
65	perl-File-Flock-2008.01-1.el5	69	perl-File-Flock-2008.01-1.el5
66	perl-File-MimeInfo-0.16-1.el5	70	perl-File-MimeInfo-0.16-1.el5
67	perl-File-Slurp-9999.13-3.el5 	71	perl-File-Slurp-9999.12-1.el5
 		72	perl-File-Type-0.22-1.el5
68	perl-Font-AFM-1.20-3.el5	73	perl-Font-AFM-1.20-3.el5
69	perl-GD-2.35-2.el5 	74	perl-GD-2.35-1.el5
70	perl-GDGraph-1.44-1.el5 	75	perl-GDGraph-1.44_01-1.el5
71	perl-GDTextUtil-0.86-8.el5 	76	perl-GDTextUtil-0.86-1.el5
72	perl-Git-1.5.5.6-2.el5 	77	perl-Git-1.5.5.6-4.el5
73	perl-GSSAPI-0.27-1.el5 	78	perl-GSSAPI-0.26-1.el5
74	perl-HTML-Format-2.04-11.el5	79	perl-HTML-Format-2.04-11.el5
75	perl-HTML-FormatText-WithLinks-0.14-1.el5	80	perl-HTML-FormatText-WithLinks-0.14-1.el5
76	perl-HTML-Parser-3.55-1.fc6	81	perl-HTML-Parser-3.55-1.fc6
77	perl-HTML-Scrubber-0.08-4.el5.2 	82	perl-HTML-Scrubber-0.08-1.el5
78	perl-HTML-Tagset-3.10-2.1.1	83	perl-HTML-Tagset-3.10-2.1.1
79	perl-HTML-Template-Pro-0.9503-1.el5	84	perl-HTML-Template-Pro-0.9503-1.el5
80	perl-HTML-Tree-3.23-9.el5 	85	perl-HTML-Tree-3.23-2.el5
81	perl-IO-Compress-2.030-2.el5	86	perl-IO-Compress-2.030-2.el5
82	perl-IO-Socket-SSL-1.24-1.el4 	87	perl-IO-Socket-SSL-1.01-1.fc6
83	perl-IO-stringy-2.110-5.el5 	88	perl-IO-stringy-2.110-1.2.el5
84	perl-IO-Zlib-1.04-4.2.1	89	perl-IO-Zlib-1.04-4.2.1
85	perl-IPC-Cmd-0.60-1.el5	90	perl-IPC-Cmd-0.60-1.el5
86	perl-JSON-2.17-1.el5 	91	perl-IPC-Shareable-0.60-1.el5
 		92	perl-JSON-2.16-1.el5
87	perl-JSON-RPC-0.96-1.el5	93	perl-JSON-RPC-0.96-1.el5
88	perl-JSON-XS-2.27-1.el5 	94	perl-JSON-XS-2.32-1.el5
89	perl-LDAP-0.34-1.el5 	95	perl-LDAP-0.33-3.fc6
90	perl-libwww-perl-5.805-1.1.1	96	perl-libwww-perl-5.805-1.1.1
91	perl-List-MoreUtils-0.33-5.el5 	97	perl-libxml-enno-1.02-31.el5
 		98	perl-libxml-perl-0.08-1.2.1
 		99	perl-List-MoreUtils-0.33-1.el5
92	perl-Locale-Maketext-Simple-0.21-1.el5	100	perl-Locale-Maketext-Simple-0.21-1.el5
93	perl-Log-Dispatch-2.20-1.el5 	101	perl-Log-Dispatch-2.18-1.el5
94	perl-Log-Dispatch-FileRotate-1.16-1.el5	102	perl-Log-Dispatch-FileRotate-1.16-1.el5
95	perl-Log-Log4perl-1.25-1.el5 	103	perl-Log-Log4perl-1.04-1.rf.el5
96	perl-Mail-Sender-0.8.13-2.el5.1 	104	perl-Mail-Sender-0.8.13-1.el5
97	perl-Mail-Sendmail-0.79-9.el5.1 	105	perl-Mail-Sendmail-0.79-1.el5
98	perl-MailTools-1.77-1.el5	106	perl-MailTools-1.77-1.el5
99	perl-Math-BaseCnv-1.8.B59BrZX-1.el5	107	perl-Math-BaseCnv-1.8.B59BrZX-1.el5
100	perl-Math-Random-ISAAC-1.004-3.el5	108	perl-Math-Random-ISAAC-1.004-3.el5
101	perl-Math-Random-ISAAC-XS-1.004-1.el5	109	perl-Math-Random-ISAAC-XS-1.004-1.el5
102	perl-MIME-Lite-3.01-5.el5 	110	perl-MIME-Lite-2.117-1.el5
103	perl-MIME-tools-5.420-3.el5 	111	perl-MIME-tools-5.420-1.el5
104	perl-MIME-Types-1.24-1.el5	112	perl-MIME-Types-1.24-1.el5
105	perl-Module-Build-0.3607-2.el5 	113	perl-Module-Build-0.2808-1.el5
106	perl-Module-CoreList-2.38-1.el5	114	perl-Module-CoreList-2.38-1.el5
107	perl-Module-Load-0.18-1.el5	115	perl-Module-Load-0.18-1.el5
108	perl-Module-Load-Conditional-0.38-1.el5	116	perl-Module-Load-Conditional-0.38-1.el5
 		117	perl-Module-Pluggable-3.60-3.el5
109	perl-Moose-1.12-1.el5	118	perl-Moose-1.12-1.el5
110	perl-MooseX-Method-0.44-1.el5	119	perl-MooseX-Method-0.44-1.el5
111	perl-MRO-Compat-0.11-1.el5	120	perl-MRO-Compat-0.11-1.el5
112	perl-Net-DNS-0.59-3.el5	121	perl-Net-DNS-0.59-3.el5
113	perl-Net-IP-1.25-2.fc6	122	perl-Net-IP-1.25-2.fc6
114	perl-Net-Jabber-2.0-10.el5 	123	perl-Net-Jabber-2.0-1.el5
115	perl-Net-SSLeay-1.32-1.el4 	124	perl-Net-Server-0.96-2.el5
116	perl-Net-XMPP-1.02-6.el5 	125	perl-Net-SNMP-5.2.0-1.2.el4.rf
117	perl-Package-DeprecationManager-0.10-3.el5 	126	perl-Net-SSLeay-1.30-4.fc6
118	perl-Package-Generator-0.100-2.el5 	127	perl-Net-XMPP-1.02-3.el5
 		128	perl-Package-DeprecationManager-0.04-1.el5
119	perl-Package-Stash-0.05-1.el5	129	perl-Package-Stash-0.05-1.el5
120	perl-Params-Check-0.26-2.el5 	130	perl-Params-Check-0.26-1.el5
121	perl-Params-Util-1.00-3.el5 	131	perl-Params-Util-1.00-2.el5
122	perl-Params-Validate-0.91-1.el5 	132	perl-Params-Validate-0.89-1.el5
 		133	perl-Parse-Yapp-1.05-1.el5
123	perl-PatchReader-0.9.6-1.el5	134	perl-PatchReader-0.9.6-1.el5
124	perl-Path-Abstract-0.096-1.el5	135	perl-Path-Abstract-0.096-1.el5
125	perl-Path-Class-0.25-1.el5 	136	perl-Path-Class-0.21-1.el5
126	perl-Pod-POM-0.17-7.el5 	137	perl-Pod-Escapes-1.04-5.el5
 		138	perl-Pod-POM-0.17-1.el5
 		139	perl-Pod-Simple-3.14-1.el5
 		140	perl-Proc-ProcessTable-0.44-4.el5
127	perl-Regexp-Common-2.120-6.el5	141	perl-Regexp-Common-2.120-6.el5
128	perl-Return-Value-1.302-3.el5 	142	perl-Return-Value-1.302-1.el5
129	perl-Scope-Guard-0.20-1.el5	143	perl-Scope-Guard-0.20-1.el5
130	perl-SOAP-Lite-0.710.06-2.el5	144	perl-SOAP-Lite-0.710.06-2.el5
 		145	perl-Socket6-0.19-3.fc6
131	perl-Sort-Versions-1.5-7.el5	146	perl-Sort-Versions-1.5-7.el5
132	perl-String-CRC32-1.4-2.fc6	147	perl-String-CRC32-1.4-2.fc6
133	perl-Sub-Exporter-0.982-11.el5 	148	perl-Sub-Exporter-0.982-1.el5
134	perl-Sub-Install-0.925-1.el5	149	perl-Sub-Install-0.925-1.el5
135	perl-Sub-Name-0.05-6.el5 	150	perl-Sub-Name-0.04-5.el5
136	perl-Sub-Uplevel-0.2002-3.el5	151	perl-Sub-Uplevel-0.2002-3.el5
137	perl-Task-Weaken-1.03-1.el5	152	perl-Task-Weaken-1.03-1.el5
138	perl-Template-GD-2.66-1.el5	153	perl-Template-GD-2.66-1.el5
139	perl-Template-Toolkit-2.22-2.el5	154	perl-Template-Toolkit-2.22-2.el5
140	perl-Test-Exception-0.29-1.el5	155	perl-Test-Exception-0.29-1.el5
 		156	perl-Test-Mock-LWP-0.04-1.el5
 		157	perl-Test-MockObject-1.07-1.el5
 		158	perl-Test-Pod-1.44-1.el5
141	perl-Test-Simple-0.98-3.el5	159	perl-Test-Simple-0.98-3.el5
142	perl-Test-Taint-1.04-9.el5	160	perl-Test-Taint-1.04-9.el5
143	perl-Text-CSV_XS-0.85-1.el5 	161	perl-Test-Taint-1.04-9.el5
144	perl-Text-Diff-0.35-3.el5 	162	perl-Test-WWW-Selenium-1.23-1.el5
 		163	perl-Text-Autoformat-1.14-1.el5
 		164	perl-Text-CSV_XS-0.80-1.el5
 		165	perl-Text-Diff-0.35-1.2.el5
145	perl-Text-Diff-Parser-0.1001-1.el5	166	perl-Text-Diff-Parser-0.1001-1.el5
 		167	perl-Text-Reform-1.12.2-1.el5
146	perl-TheSchwartz-1.07-2.el5	168	perl-TheSchwartz-1.07-2.el5
147	perl-TimeDate-1.20-2.el5	169	perl-TimeDate-1.20-2.el5
148	perl-Time-modules-2003.1126-4.el5.1	 	
149	perl-Time-Piece-1.20-1.el5	170	perl-Time-Piece-1.20-1.el5
150	perl-Try-Tiny-0.11-4.el5 	171	perl-Try-Tiny-0.06-1.el5
 		172	perl-UNIVERSAL-can-1.12-1.el5
 		173	perl-UNIVERSAL-isa-0.06-1.el5
151	perl-URI-1.55-1.el5	174	perl-URI-1.55-1.el5
152	perl-VCI-0.6.2-1.el5	175	perl-VCI-0.6.2-1.el5
153	perl-version-0.7203-1.el5 	176	perl-version-0.74-1.el5
154	perl-WWW-Salesforce-0.11-1.el5	177	perl-WWW-Salesforce-0.11-1.el5
155	perl-WWW-Tracking-0.02-1.el5	178	perl-WWW-Tracking-0.02-1.el5
156	perl-XML-DOM-1.44-2.el5 	179	perl-XML-Encoding-1.01-1.el5
157	perl-XML-LibXML-1.70-5.el5	180	perl-XML-LibXML-1.70-5.el5
158	perl-XML-LibXSLT-1.70-5.el5	181	perl-XML-LibXSLT-1.70-5.el5
159	perl-XML-NamespaceSupport-1.09-1.2.1	182	perl-XML-NamespaceSupport-1.09-1.2.1
160	perl-XML-Parser-2.36-1.el5	183	perl-XML-Parser-2.36-1.el5
161	perl-XML-RegExp-0.03-2.el5	 	
162	perl-XML-SAX-0.15-1.el5	184	perl-XML-SAX-0.15-1.el5
163	perl-XML-Simple-2.14-4.fc6	185	perl-XML-Simple-2.14-4.fc6
164	perl-XML-Stream-1.23-1.el5	186	perl-XML-Stream-1.23-1.el5
165	perl-XML-Twig-3.29-1.el5	187	perl-XML-Twig-3.29-1.el5
166	perl-YAML-0.66-2.el5 	188	perl-YAML-0.62-3.el5
167	perl-YAML-Syck-1.04-1.el5	189	perl-YAML-Syck-1.04-1.el5
168	rrdtool-perl-1.3-0.5.beta3.el5	 	
169	subversion-perl-1.6.11-11.el5_9	190	subversion-perl-1.6.11-11.el5_9

Comment 9 Huan Zhang 2014-02-11 07:43:49 UTC
Diff results from diffchecker:

http://www.diffchecker.com/ztycah3q

Comment 10 Huan Zhang 2014-02-11 07:50:36 UTC
Sorry, my bad. The following module version are from partner instead of web2.

(In reply to Huan Zhang from comment #6)
> Web2 perl modules version:
> 
> [root@pbzweb01 ~]# rpm -qa | grep perl
> perl-Algorithm-Diff-1.1902-1.el5
> perl-DBD-MySQL-4.016-1.el5
> subversion-perl-1.6.11-11.el5_9
> perl-Encode-Detect-1.01-1.el5
> perl-Package-DeprecationManager-0.04-1.el5
> perl-IO-stringy-2.110-1.2.el5
> perl-GD-2.35-1.el5
> perl-Email-Simple-2.101-2.el5
> perl-HTML-FormatText-WithLinks-0.14-1.el5
> perl-Data-ObjectDriver-0.06-3.el5
> perl-Module-Load-Conditional-0.38-1.el5
> perl-Log-Dispatch-2.18-1.el5
> perl-HTML-Parser-3.55-1.fc6
> perl-GDTextUtil-0.86-1.el5
> perl-5.8.8-40.el5_9
> perl-Devel-GlobalDestruction-0.02-1.el5
> perl-CGI.pm-3.59-2.el5
> perl-Regexp-Common-2.120-6.el5
> perl-Email-Send-2.192-1.el5
> perl-Sub-Install-0.925-1.el5
> perl-Pod-POM-0.17-1.el5
> perl-Email-Reply-1.202-1.el5
> perl-HTML-Tagset-3.10-2.1.1
> perl-libxml-perl-0.08-1.2.1
> perl-Net-DNS-0.59-3.el5
> perl-GDGraph-1.44_01-1.el5
> perl-Locale-Maketext-Simple-0.21-1.el5
> perl-DateManip-5.44-1.2.1
> perl-Test-MockObject-1.07-1.el5
> perl-Net-IP-1.25-2.fc6
> perl-Daemon-Generic-0.61-1.el5
> perl-Sub-Uplevel-0.2002-3.el5
> perl-Sort-Versions-1.5-7.el5
> perl-Module-CoreList-2.38-1.el5
> perl-Return-Value-1.302-1.el5
> perl-VCI-0.6.2-1.el5
> perl-DateTime-Format-DateParse-0.05-1.el5
> perl-MIME-tools-5.420-1.el5
> perl-JSON-RPC-0.96-1.el5
> perl-Crypt-SSLeay-0.58-1.el5
> perl-Sub-Name-0.04-5.el5
> perl-WWW-Tracking-0.02-1.el5
> perl-UNIVERSAL-can-1.12-1.el5
> perl-DateTime-Locale-0.09-9.el5
> perl-HTML-Template-Pro-0.9503-1.el5
> perl-LDAP-0.33-3.fc6
> perl-Test-Pod-1.44-1.el5
> perl-Digest-HMAC-1.01-15
> perl-Log-Log4perl-1.04-1.rf.el5
> perl-Business-ISBN-Data-20081208-1.el5
> perl-Alien-SeleniumRC-1.01-2.el5
> perl-Mail-Sendmail-0.79-1.el5
> perl-Apache-DBI-1.06-1.el5
> perl-Class-C3-0.23-1.el5
> perl-Email-MIME-Encodings-1.313-1.el5
> perl-Math-Random-ISAAC-XS-1.004-1.el5
> perl-List-MoreUtils-0.33-1.el5
> perl-XML-NamespaceSupport-1.09-1.2.1
> perl-Chart-2.4.1-1.el5
> perl-SOAP-Lite-0.710.06-2.el5
> perl-Test-Taint-1.04-9.el5
> perl-YAML-0.62-3.el5
> perl-Compress-Raw-Bzip2-2.030-1.el5
> perl-Business-ISBN-2.05-1.el5
> perl-Carp-Clan-5.3-1.2.1
> perl-HTML-Tree-3.23-2.el5
> perl-version-0.74-1.el5
> perl-Text-Diff-0.35-1.2.el5
> perl-libwww-perl-5.805-1.1.1
> perl-DateTime-TimeZone-0.71-1.el5
> perl-XML-Stream-1.23-1.el5
> perl-Git-1.5.5.6-4.el5
> perl-Pod-Escapes-1.04-5.el5
> perl-Data-HexDump-0.02-1.el5
> perl-HTML-Scrubber-0.08-1.el5
> perl-Path-Abstract-0.096-1.el5
> perl-Email-Date-1.103-1.el5
> perl-BSD-Resource-1.28-1.fc6.1
> perl-Class-Singleton-1.4-5.el5
> perl-AppConfig-1.66-1.el5
> perl-Convert-BinHex-1.119-1.el5
> perl-Params-Util-1.00-2.el5
> perl-Event-1.11-2.el5
> perl-MooseX-Method-0.44-1.el5
> perl-JSON-XS-2.32-1.el5
> perl-PatchReader-0.9.6-1.el5
> perl-Crypt-DES-2.05-3.2.el4.rf
> perl-YAML-Syck-1.04-1.el5
> perl-File-Slurp-9999.12-1.el5
> perl-MRO-Compat-0.11-1.el5
> perl-URI-1.55-1.el5
> perl-Module-Pluggable-3.60-3.el5
> perl-Parse-Yapp-1.05-1.el5
> perl-DBIx-Timeout-1.01-1.el5
> perl-WWW-Salesforce-0.11-1.el5
> perl-Task-Weaken-1.03-1.el5
> perl-XML-LibXSLT-1.70-5.el5
> perl-Math-BaseCnv-1.8.B59BrZX-1.el5
> perl-File-BaseDir-0.03-1.el5
> perl-Email-Abstract-2.134-1.el5
> perl-Authen-SASL-2.10-1.el5
> perl-Font-AFM-1.20-3.el5
> perl-Pod-Simple-3.14-1.el5
> perl-Try-Tiny-0.06-1.el5
> perl-String-CRC32-1.4-2.fc6
> perl-Convert-ASN1-0.20-1.1
> perl-DBI-1.52-2.el5
> perl-Class-Inspector-1.21_01-1.el5
> perl-Algorithm-C3-0.08-1.el5
> perl-DBD-Pg-1.49-4.el5_8
> perl-Digest-SHA1-2.11-1.2.1
> perl-Template-Toolkit-2.22-2.el5
> perl-Mail-Sender-0.8.13-1.el5
> perl-Test-Simple-0.98-3.el5
> perl-TheSchwartz-1.07-2.el5
> perl-IPC-Cmd-0.60-1.el5
> perl-Module-Build-0.2808-1.el5
> perl-Net-SSLeay-1.30-4.fc6
> perl-Email-Address-1.888-1.el5
> perl-Class-Trigger-0.13-1.el5
> ImageMagick-perl-6.2.8.0-15.el5_8
> perl-Params-Check-0.26-1.el5
> perl-Math-Random-ISAAC-1.004-3.el5
> perl-XML-Parser-2.36-1.el5
> perl-libxml-enno-1.02-31.el5
> perl-Clone-0.31-1.el5
> perl-Compress-Raw-Zlib-2.030-1.el5
> perl-TimeDate-1.20-2.el5
> perl-Digest-SHA-5.45-1.el5
> perl-DateTime-0.28-1.el5
> perl-Class-MOP-1.07-1.el5
> perl-XML-SAX-0.15-1.el5
> perl-Text-Reform-1.12.2-1.el5
> perl-UNIVERSAL-isa-0.06-1.el5
> perl-Class-Accessor-0.31-2.el5
> perl-Archive-Tar-1.39.1-1.el5_5.2
> perl-Module-Load-0.18-1.el5
> perl-Template-GD-2.66-1.el5
> perl-JSON-2.16-1.el5
> perl-Error-0.17016-1.el5
> perl-Email-MessageID-1.351-1.el5
> perl-Test-Mock-LWP-0.04-1.el5
> perl-MailTools-1.77-1.el5
> perl-Net-Jabber-2.0-1.el5
> perl-Test-Taint-1.04-9.el5
> perl-Scope-Guard-0.20-1.el5
> perl-File-Flock-2008.01-1.el5
> perl-Path-Class-0.21-1.el5
> perl-common-sense-3.0-1.el5
> perl-IPC-Shareable-0.60-1.el5
> perl-Email-MIME-Attachment-Stripper-1.314-1.el5
> perl-Moose-1.12-1.el5
> perl-File-MimeInfo-0.16-1.el5
> perl-Text-Autoformat-1.14-1.el5
> perl-Sub-Exporter-0.982-1.el5
> perl-Net-Server-0.96-2.el5
> perl-Socket6-0.19-3.fc6
> perl-XML-Simple-2.14-4.fc6
> perl-Text-Diff-Parser-0.1001-1.el5
> perl-Encode-2.44-2.el5
> perl-Params-Validate-0.89-1.el5
> perl-Proc-ProcessTable-0.44-4.el5
> perl-IO-Socket-SSL-1.01-1.fc6
> perl-Package-Stash-0.05-1.el5
> perl-IO-Compress-2.030-2.el5
> perl-Text-CSV_XS-0.80-1.el5
> perl-Email-MIME-ContentType-1.014-1.el5
> perl-IO-Zlib-1.04-4.2.1
> perl-Log-Dispatch-FileRotate-1.16-1.el5
> perl-FCGI-0.67-1.2.el5
> perl-MIME-Types-1.24-1.el5
> perl-Test-WWW-Selenium-1.23-1.el5
> mod_perl-2.0.4-6.el5
> perl-Authen-Radius-0.13-1.el5
> perl-Email-MIME-1.905-2.el5
> perl-Data-OptList-0.106-1.el5
> perl-ExtUtils-CBuilder-0.19-1.el5
> perl-Net-SNMP-5.2.0-1.2.el4.rf
> perl-XML-LibXML-1.70-5.el5
> perl-Email-Date-Format-1.002-1.el5
> perl-File-DesktopEntry-0.04-1.el5
> perl-XML-Twig-3.29-1.el5
> perl-GSSAPI-0.26-1.el5
> perl-HTML-Format-2.04-11.el5
> perl-Net-XMPP-1.02-3.el5
> perl-XML-Encoding-1.01-1.el5
> perl-File-Type-0.22-1.el5
> perl-MIME-Lite-2.117-1.el5
> perl-Time-Piece-1.20-1.el5
> perl-Test-Exception-0.29-1.el5

Comment 11 Huan Zhang 2014-02-12 06:12:05 UTC
The different perl modules couldn't be re-installed in my local rhel5.4, as I couldn't find them from internet or any repos.

Comment 12 Huan Zhang 2014-02-12 06:20:56 UTC
Diff results between partner and web2:

http://www.diffchecker.com/zxigy42o

Comment 13 Huan Zhang 2014-02-14 08:38:03 UTC
Reproduced on my local RHEL5.4.

Need to update perl-SOAP-Lite to v0.714-2 on partner.

Comment 14 Rob Landry 2014-03-11 21:31:47 UTC
Is this resolved now?

Comment 15 Junhui Wang 2014-03-12 03:21:25 UTC
Huan, What's the status here?

Comment 16 Huan Zhang 2014-03-12 03:33:38 UTC
(In reply to junwang from comment #15)
> Huan, What's the status here?

Has been verified on partner.


Note You need to log in before you can comment on or make changes to this bug.